html,body{
    height: 100%;
    margin: 0;
    padding: 0;
}
body{
    color: #5e5e5e;
    font-family: robotolight;
}
#appWrapper{
    position: relative;
    width: 100%;
    height: 100%;
}
#appWrapper .loginMain{
    position: absolute;
    top: 76px;
    bottom: 0;
    width: 100%;
}
#appWrapper .loginMain .form li{
    margin-bottom: 20px;
}
#appWrapper .loginMain .form input{
    width: 100%;
}
#appWrapper .loginMain .loginSec{
    width: 400px;
    margin: 0 auto;
    margin-top: 100px;
}
#appWrapper .loginMain .loginSec .loginBtn{
    width: 100%;
    padding: 10px 0;
    text-align: center;
    color: #ffffff;
    background: #1469b1;
    cursor: pointer;
    display: block;

    -webkit-transition: all ease-in 200ms;
    -moz-transition: all ease-in 200ms;
    -ms-transition: all ease-in 200ms;
    -o-transition: all ease-in 200ms;
    transition: all ease-in 200ms;
}
#appWrapper .loginMain .loginSec .loginBtn:hover{
    background: #115a98;
}
#appWrapper .appContentMain.freeFlowMain{
    height: 100%;
}
#header{
    padding: 16px 30px;
    box-shadow: 0 2px 3px rgba(0,0,0,0.3);
    position: relative;
    z-index: 5;
}
#header .logo{
    width: 40px;
}
#header .logo img{
    width: 100%;
    height: auto;
    display: block;
}
#header .logoTxt{
    margin-left: 15px;
}


#contWrapper{
    position: relative;
    min-height: 100%;
}
#contWrapper.full{
    position: absolute;
    width: 100%;
    top: 76px;
    bottom: 0;
    min-height: 100px;
}
/*........ side navigation ......*/
/*#contWrapper.full .sideNavMain{*/
    /*position: absolute;*/
    /*top: 0;*/
    /*left: 0;*/
/*}*/
#contWrapper .sideNavMain{
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 90px;
    background: #686868;
    box-shadow: -3px 0 3px rgba(0,0,0,0.25) inset;
}
#contWrapper .sideNavMain .activeBar{
    width: 100%;
    height: 76px;
    background: red;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    -webkit-transition: all 200ms ease-in;
    -moz-transition: all 200ms ease-in;
    -ms-transition: all 200ms ease-in;
    -o-transition: all 200ms ease-in;
    transition: all 200ms ease-in;
}
#contWrapper .sideNavMain .activeBar.live{
    top: 0;
}
#contWrapper .sideNavMain .activeBar.fence{
    top: 76px;
}
#contWrapper .sideNavMain .activeBar.traffic{
    top: 152px;
}
#contWrapper .sideNav{
    text-align: center;
    width: 100%;
    position: relative;
    z-index: 2;
}
#contWrapper .sideNav li{

}
#contWrapper .sideNav li.active{
    background: #313131;
    box-shadow: -3px 0 2px #060606 inset;
}
#contWrapper .sideNav li a{
    color: #ffffff;
    padding: 15px 0;
    display: block;
    position: relative;
}
#contWrapper .sideNav li .icon{
    display: inline-block;
    height: auto;
    width: 26px;
    margin-bottom: -4px;
    opacity: 1;
}
#contWrapper .sideNav li .icon.active{
    opacity: 0;
    position: absolute;
    left: 50%;
    margin-left: -13px;
    top: 15px;
}
#contWrapper .sideNav li.active .icon.active{
    opacity: 1;
}
#contWrapper .sideNav li.active .icon.inactive{
    opacity: 0;
}
#contWrapper .sideNav li .txt{
    margin-top: 7px;
    color: #b0b0b0;
}
#contWrapper .sideNav li.active .txt{
    color: #ffffff;
}

/*............ App content .........*/
.freeFlow #appContent{
    margin-left: 90px;
}

#contWrapper.full #appContent #pageContent{
    position: absolute;
    left: 90px;
    right: 325px;
    top: 0;
    bottom: 0;
    overflow: hidden;
}


/*........ Notification .........*/
.notifications{
    position: absolute;
    width: 325px;
    height: 100%;
    background: #ffffff;
    box-shadow: -1px 0 2px rgba(0,0,0,0.3);
    box-sizing: border-box;
    right: 0;
    top: 0;
    padding: 10px 20px 0 20px;
    font-family: robotoregular;
    overflow: auto;
}
.notifications .searchBox{
    margin-top: 10px;
}
.notifications .dropDown{
    width: 100%;
}
.notifications .dropDown .head{
    padding: 15px 7px;
}
.notifications .dropDown .head .headTitle{
    line-height: normal;
}
.notifications .dropDown .head .sign{
    margin-top: 8px;
    width: 14px;
}

.notifications .notificationList{

}
.notifications .notificationList li{
    padding: 12px 10px;
    border-bottom: 1px solid #ddd;
    cursor: pointer;
}
.notifications .notificationList li .notifHead{

}
.notifications .notificationList li .icon{
    width: 50px;
    display: inline-block;
    vertical-align: middle;
    margin-top: 5px;
}
.notifications .notificationList li .icon.suspicious .txt{
    font-size: 10px;
    text-align: center;
    margin-top: 2px;
    color: #e6333d;
}
.notifications .notificationList li .icon img{
    width: 85%;
    height: auto;
    display: block;
    margin: 0 auto;
}
.notifications .notificationList li .icon.wanted{
}
.notifications .notificationList li .icon.wanted .txt{
    background: #e6333d;
    color: #fff;
    font-size: 11px;
    position: relative;
    text-transform: uppercase;
    text-align: center;
    padding: 1px 0;
}
.notifications .notificationList li .icon.wanted img{
    width: 100%;
    box-sizing: border-box;
    border: 4px solid #e6333d;
    border-bottom: none;
}
.notificationList li .notificationTxt{
    /*width: 250px;*/
    width: 175px;
    margin-left: 15px;
    display: inline-block;
    vertical-align: middle;
}
.notificationList li .notifDetails{
    display: none;
}
.notificationList li .notifDetails .tag{
    float: left;
    width: 55px;
}
.notificationList li .notifDetails .tagDetail{
    width: 214px;
    float: right;
}
.notificationList li .notifDetails .actionBtn{
    margin-top: 15px;
    /*display: none;*/
}
.notificationList li .notifDetails .actionBtn .btn{
    padding: 3px 0;
    width: 80px;
    text-align: center;
    border-radius: 6px;
    color: #ffffff;
    cursor: pointer;
    font-size: 13px;
}
.notificationList li .notifDetails .actionBtn .btn.notify{
    background: #1ecefa;
}
.notificationList li .notifDetails .actionBtn .btn.alert{
    background: #ffd1d6;
    color: #e52f3c;
    margin-left: 5px;
}

/*.......... map container ...........*/
#contWrapper.full .mapContainer{
    position: relative;
    height: 100%;
    overflow: hidden;
}
.tabsData .mapTabs{
    background: #1a1a1a;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.3);
    position: relative;
    z-index: 10;
}
.tabsData .mapTabs li{
    width: 140px;
    float: left;
    text-align: center;
    padding: 18px 0;
    cursor: pointer;
    /*-webkit-transition: all 200ms;*/
    /*-moz-transition: all 200ms ;*/
    /*-ms-transition: all 200ms ;*/
    /*-o-transition: all 200ms ;*/
    /*transition: all 200ms ;*/
}
.tabsData .mapTabs li.active{
    background: #bc1c28;
}
.tabsData .mapTabs li .num{
    line-height: 36px;
    margin-bottom: 5px;
    color: #e52f3c;
}
.tabsData .mapTabs li.active .num{
    color: #ffffff;
}
.tabsData .mapTabs li .tabName{
    font-family: robotothin;
    color: #ffffff;
}
.tabsData .mapTabs li .tabName{
    font-family: robotothin;
    color: #ffffff;
}
.mapContainer .areaMapMain{
    position: absolute;
    top: 135px;
    left: 0;
    right: 0;
    bottom: 42px;
}
.mapContainer .areaMapMain .areaMap,
.mapContainer .areaMapMain .areaMap .map{
    height: 100%;
    width: 100%;
}
#appContent #pageContent .bottomSlider{
    bottom: 0;
    width: 100%;
    position: absolute;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.3);
}

/*........ area chart .........*/
.areaSplineMain{
    /*background: #dbf1f1;*/
}
.areaSplineMain .areaSpline{
    width: 100%;
    height: 300px;
    max-width: 800px;
}

.solidGauge{
    width: 110px;
    height: 110px;
}
.gaugeDec{
    color: #00a27a;
}
.gaugeInc{
    color: #e21731;
}


.gaugeSummary{
    padding: 40px 20px;
}
.gaugeSummary ul > li{
    width: 300px;
    float: left;
}
.gaugeSummary ul li .graph{
    width: 110px;
    height: 110px;
}
.gaugeSummary ul li .gaugeDec{
    color: #00a27a;
}
.gaugeSummary ul li .gaugeInc{
    color: #e21731;
}
.gaugeSummary ul li .details{
    /*padding-left: 30px;*/
    margin-left: -16px;
    position: relative;
    width: 190px;
    z-index: 10;
}
.gaugeSummary ul li .details .top{
    padding-bottom: 6px;
    padding-left: 20px;
}
.gaugeSummary ul li .details .bottom{
    padding-top: 6px;
    border-top: 1px solid #e8ecf2;
    padding-left: 20px;
    margin-bottom: 5px;
}

/*........... Settings ..........*/
.settingsMain{

}
.settingsMain .headControl{

}
.settingsMain .headControl .dropDown{

}
.settingsMain .headControl .head{
    border-right: 1px solid #c7c7c7;
}
.settingsMain .mainTabs{
    padding: 20px 30px;
}
.settingsMain .subTabs{
    padding: 15px 50px;
}

.dataTable .tableRow .data .rank{
    width: 200px;
}
.dataTable .tableRow .alert{
    width: 250px;
}
.dataTable .tableRow .till{
    width: 150px;
}
.dataTable .tableRow .area{
    width: 100px;
}
.dataTable .tableRow .area .tagDetail{
    font-family: robotoregular;
}
.settingsMain .pagination{
    padding-bottom: 100px;
}

.settingsMain .formMain{
    padding: 50px 30px;
}

.settingsMain .settingsOptions{

}
.settingsMain .settingsOptions .options{
    width: 600px;
    padding: 30px 20px;
}
.settingsMain .settingsOptions .options li{
    width: 200px;
    float: left;
    margin-bottom: 30px;
}
.settingsMain .settingsOptions .options label .txt{
    max-width: 80%;
}
@keyframes markerAnimation {
  0%   {
    -webkit-transform: scale(0);
    -moz-transform: scale(0);
    -ms-transform: scale(0);
    -o-transform: scale(0);
    transform: scale(0);
  }
  100% {
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    -ms-transform: scale(1);
    -o-transform: scale(1);
    transform: scale(1);
  }
}


.markerMain{
  background: #FFD700;
  border-radius: 100%;
  height: 45px;
  padding: 8px;
  position: relative;
  width: 45px;
  animation-name: markerAnimation;
  animation-duration: 500ms;
}

.markerMain.peoples{
  background: #DC143C;
}

.markerMain.camera{
  background: none;
}

.markerMain .markerContMain{
  display: table;
  width: 100%;
  table-layout: fixed;
  height: 100%;
}
.markerMain .markerCont{
  display: table-cell;
  width: 100%;
  vertical-align: middle;
}
.markerMain .markerImg{
  display: block;
  height: auto;
  line-height: normal;
  margin: 0 auto;
  position: absolute;
  right: -24px;
  top: 3px;
  width: 42px;
}
.markerMain.peoples .markerImg{
  top: auto;
  width: 42px;
  bottom: 3px;
  left: -24px;
  right: auto;
}




.markerMain .markerText{
  text-align: center;
  color: #ffffff;
  text-transform: capitalize;
}
.markerMain .markerText .num{
  font-family: robotoregular;
  font-size: 18px;
  line-height: 18px;
}


.markerMain.loitering ,
.markerMain.wanted {
  background: #ffffff none repeat scroll 0 0;
  border: 3px solid #fff;
  border-radius: 0;
  box-shadow: 0 0 2px rgba(0, 0, 0, 0.4);
  height: auto;
  padding: 0;
  width: 50px;
}
.markerMain.loitering .markerImg,
.markerMain.wanted .markerImg{
  top: auto;
  width: 100%;
  bottom: auto;
  left: auto;
  right: auto;
  position: relative;
}
.markerMain.loitering .markerText .num,
.markerMain.wanted .markerText .num{
  display: none;
}
.markerMain.loitering .markerText,
.markerMain.wanted .markerText{
  color: #DC143C;
  font-size: 10px;
  margin-top: 2px;
}

.markerMain.camera .markerText .txt{
  display: none;
}
